cURL
curl --request GET \
--url https://app.teable.ai/api/space/%7BspaceId%7D/billing/subscription \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"base": {
"id": "<string>",
"limit": {
"maxRows": 123,
"maxSizeAttachments": 123,
"maxNumAutomationRuns": 123,
"maxNumDatabaseConnections": 123,
"maxRevisionHistoryDays": 123,
"maxAutomationHistoryDays": 123,
"automationEnable": true,
"auditLogEnable": true,
"adminPanelEnable": true,
"rowColoringEnable": true,
"buttonFieldEnable": true,
"fieldAIEnable": true,
"userGroupEnable": true,
"advancedExtensionsEnable": true,
"advancedPermissionsEnable": true,
"passwordRestrictedSharesEnable": true,
"authenticationEnable": true,
"domainVerificationEnable": true,
"organizationEnable": true,
"apiRateLimit": 123,
"chatAIEnable": true,
"appEnable": true,
"customDomainEnable": true,
"maxNumAutomationSendEmail": 123
},
"quantity": 123,
"priceId": "<string>",
"unitAmount": 123,
"currentPeriodStart": "<string>",
"currentPeriodEnd": "<string>",
"cancelAt": "<string>",
"creditSubscribeEnable": true,
"isTrialUsed": true
},
"credit": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
},
"rowCount": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
},
"attachmentSize": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
},
"automationRun": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
}
}billing
Get space billingsubscription
Get subscription detail by spaceId
GET
/
space
/
{spaceId}
/
billing
/
subscription
cURL
curl --request GET \
--url https://app.teable.ai/api/space/%7BspaceId%7D/billing/subscription \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"base": {
"id": "<string>",
"limit": {
"maxRows": 123,
"maxSizeAttachments": 123,
"maxNumAutomationRuns": 123,
"maxNumDatabaseConnections": 123,
"maxRevisionHistoryDays": 123,
"maxAutomationHistoryDays": 123,
"automationEnable": true,
"auditLogEnable": true,
"adminPanelEnable": true,
"rowColoringEnable": true,
"buttonFieldEnable": true,
"fieldAIEnable": true,
"userGroupEnable": true,
"advancedExtensionsEnable": true,
"advancedPermissionsEnable": true,
"passwordRestrictedSharesEnable": true,
"authenticationEnable": true,
"domainVerificationEnable": true,
"organizationEnable": true,
"apiRateLimit": 123,
"chatAIEnable": true,
"appEnable": true,
"customDomainEnable": true,
"maxNumAutomationSendEmail": 123
},
"quantity": 123,
"priceId": "<string>",
"unitAmount": 123,
"currentPeriodStart": "<string>",
"currentPeriodEnd": "<string>",
"cancelAt": "<string>",
"creditSubscribeEnable": true,
"isTrialUsed": true
},
"credit": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
},
"rowCount": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
},
"attachmentSize": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
},
"automationRun": {
"id": "<string>",
"unitAmount": 123,
"quantity": 123,
"cancelAt": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on March 5, 2026
Was this page helpful?
⌘I

